Bug 6766 - Installer placed lilo in mbr
Summary: Installer placed lilo in mbr
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-05 19:41 UTC by dsiewert
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-16 13:40:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dsiewert 1999-11-05 19:41:11 UTC
I've used redhat for many releases.  The machine I'm on
(unfortunately) need to support win98 as well as redhat.
I've been using a third party boot manager and have
installed lilo in the linux partition (/dev/hda3).  After
installing 6.1 in update mode, the lilo.conf file specified
that it would boot from /dev/hda.  As as result, the update
overwrote the boot manager and destroyed access to the
windows partition.  With a little work I was able to recover
the bad partition and reconfigured lilo to properly place
the boot routine.  This could really sour a beginner if they
are trying to maintain two systems on their PC.

Comment 1 Jay Turner 1999-11-16 13:40:59 UTC
The issue of running lilo configuration during an upgrade is resolved with the
latest boot disks and update images available from the errata website.  This
will allow you to specify the location of lilo during an upgrade, just as you
are able to do during the installation.


Note You need to log in before you can comment on or make changes to this bug.